Page MenuHomePhabricator

Move Senses above Forms
Closed, ResolvedPublic3 Story Points

Description

Problem:
Editors would like to have Senses first as they are more meaningful to help understand what the word is about. Forms can come after that. We should switch them around - both in the UI and diffs.

BDD
GIVEN a Lexeme with Forms and Senses
WHEN viewing the page
THEN Senses are displayed before Forms

GIVEN a diff containing Lexeme edits
AND the diff involves Forms and Senses
WHEN viewing the diff
THEN Senses parts come before Form parts

Acceptance criteria:

  • Senses are shown before Forms in the UI
  • Senses are shown before Forms in diffs

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterSwap form and sense place in view and diff

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptNov 2 2018, 3:05 PM
KaMan added a subscriber: KaMan.Nov 2 2018, 3:49 PM
Addshore triaged this task as Normal priority.Nov 6 2018, 11:15 AM

I will do this :D

Change 471952 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/WikibaseLexeme@master] Swap form and sense place in view and diff

https://gerrit.wikimedia.org/r/471952

Addshore renamed this task from Move Senses before Forms to Move Senses above Forms.Nov 6 2018, 2:25 PM

Change 471996 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/WikibaseLexeme@master] Swap form and sense place in view and diff

https://gerrit.wikimedia.org/r/471996

Ladsgroup claimed this task.Nov 6 2018, 4:17 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptNov 6 2018, 4:17 PM

Change 471996 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Swap form and sense place in view and diff

https://gerrit.wikimedia.org/r/471996

Addshore closed this task as Resolved.Nov 15 2018, 1:05 PM